Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 147937 - Add org.netbeans.modules.iep.editor as friend to org.netbeans.modules.xml.refactoring
Add org.netbeans.modules.iep.editor as friend to org.netbeans.modules.xml.ref...
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Refactoring
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Sonali Kochar
issues@xml
61fixes4-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-22 22:45 UTC by Ritesh Adval
Modified: 2008-10-15 21:52 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ritesh Adval 2008-09-22 22:45:51 UTC
Need to add org.netbeans.modules.iep.editor to org.netbeans.modules.xml.refactoring so that we can
use common refactoring action on xml based models as registered by org.netbeans.modules.xml.refactoring 
to refactor iep related artifacts.

This is required to fix http://www.netbeans.org/issues/show_bug.cgi?id=98579
http://www.netbeans.org/issues/show_bug.cgi?id=143222
Comment 1 Ritesh Adval 2008-09-22 22:46:54 UTC
adding 61fixes4-candidate to status whiteboard.
Comment 2 Samaresh Panda 2008-09-23 04:10:39 UTC
fixed: http://hg.netbeans.org/main?cmd=changeset;node=9dad87e4bb26.
Comment 3 rbalada 2008-09-23 10:51:29 UTC
I've transplanted the changeset http://hg.netbeans.org/main?cmd=changeset;node=9dad87e4bb26 into release61_fixes
repository as http://hg.netbeans.org/release61_fixes/rev/86e1f2c0fd53
Comment 4 jlautz 2008-09-23 14:39:14 UTC
Need info about how to verify this change.
Comment 5 Quality Engineering 2008-09-23 17:59:48 UTC
Integrated into 'main-golden', will be available in build *200809231435* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9dad87e4bb26
User: samaresh@netbeans.org
Log: #147937 Add iep.editor as a friend to xml.refactoring
Comment 6 Samaresh Panda 2008-09-23 18:23:55 UTC
Unfortunately there is no way to verify this other than looking at the change set. See my commit.
Comment 7 jlautz 2008-09-24 23:00:29 UTC
Verified for NB 6.1 with sierra NB build sierra_753_20080924.zip.

Verified for NB 6.5 (trunk) with NetBeans Dev 200809241401.
Comment 8 jlautz 2008-10-02 20:31:13 UTC
To verify:

Verify that the manifest file in jar org-netbeans-modules-xml-refactoring.jar in \netbeans\xml2\modules
has iep.editor listeed in OpenIDE-Module-Friends.
Comment 9 jlautz 2008-10-06 23:34:55 UTC
Verified with NB 6.1 with Patch 4 applied that <netbeans_home>/xml2/modules/org-netbeans-modules-xml-refactoring.jar
META-INF/MANIFEST.MF has org.netbeans.modules.iep.editor in its OpenIDE-Module-Friends list, as shown in the following
example:

OpenIDE-Module-Friends: org.netbeans.modules.bpel.editors, org.netbean
 s.modules.bpel.refactoring, org.netbeans.modules.xml.axi, org.netbean
 s.modules.xml.axi.impl, org.netbeans.modules.xml.schema, org.netbeans
 .modules.xml.schema.abe, org.netbeans.modules.xml.schema.refactoring,
  org.netbeans.modules.xml.schema.ui.analysis, org.netbeans.modules.xm
 l.schema.ui.basic, org.netbeans.modules.xml.wsdl.refactoring, org.net
 beans.modules.xml.wsdlui, org.netbeans.modules.iep.editor, org.netbea
 ns.modules.xml.wsdlui.api



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo